BigQueryConfig

A configuration object for a native BigQuery connector. Return this object from `getData()`
for Data Studio to query BigQuery for the connector.

```javascript
const cc = DataStudioApp.createCommunityConnector();

const bqConfig =
    cc.newBigQueryConfig()
        .setBillingProjectId('billingProjectId')
        .setQuery('queryString')
        .setUseStandardSql(true)
        .setAccessToken('accessToken')
        .addQueryParameter('dob', cc.BigQueryParameterType.STRING, '01011990')
        .build();
```

### Methods

| Method | Return type | Brief description |
|---|---|---|
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#addQueryParameter(String,BigQueryParameterType,String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config#` | Adds a query parameter to this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#build()` | `Object` | Validates this object and returns it in the format needed by Data Studio. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#printJson()` | `String` | Prints the JSON representation of this object. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setAccessToken(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config#` | Sets the access token of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setBillingProjectId(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config#` | Sets the billing project ID of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setQuery(String)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config#` | Sets the SQL query of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`. |
| `https://developers.google.com/apps-script/reference/data-studio/big-query-config#setUseStandardSql(Boolean)` | `https://developers.google.com/apps-script/reference/data-studio/big-query-config#` | Determines if the query is interpreted as standard or legacy SQL. |

## Detailed documentation

### `addQueryParameter(name, type, value)`

Adds a query parameter to this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`.

#### Parameters

| Name | Type | Description |
|---|---|---|
| `name` | `String` | The parameter name. |
| `type` | `https://developers.google.com/apps-script/reference/data-studio/big-query-parameter-type` | The parameter type. |
| `value` | `String` | The parameter value. |

#### Return


`https://developers.google.com/apps-script/reference/data-studio/big-query-config#` --- This object, for chaining.

*** ** * ** ***

### `build()`

Validates this object and returns it in the format needed by Data Studio.

#### Return


`Object` --- The validated `https://developers.google.com/apps-script/reference/data-studio/config` object.

*** ** * ** ***

### `printJson()`

Prints the JSON representation of this object. This is for debugging only.

#### Return


`String`

*** ** * ** ***

### `setAccessToken(accessToken)`

Sets the access token of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`.

#### Parameters

| Name | Type | Description |
|---|---|---|
| `accessToken` | `String` | The access token to set. |

#### Return


`https://developers.google.com/apps-script/reference/data-studio/big-query-config#` --- This object, for chaining.

*** ** * ** ***

### `setBillingProjectId(billingProjectId)`

Sets the billing project ID of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`.

#### Parameters

| Name | Type | Description |
|---|---|---|
| `billingProjectId` | `String` | The billing project ID to set. |

#### Return


`https://developers.google.com/apps-script/reference/data-studio/big-query-config#` --- This object, for chaining.

*** ** * ** ***

### `setQuery(query)`

Sets the SQL query of this `https://developers.google.com/apps-script/reference/data-studio/big-query-config#`.

#### Parameters

| Name | Type | Description |
|---|---|---|
| `query` | `String` | The query to set. |

#### Return


`https://developers.google.com/apps-script/reference/data-studio/big-query-config#` --- This object, for chaining.

*** ** * ** ***

### `setUseStandardSql(useStandardSql)`

Determines if the query is interpreted as standard or legacy SQL.

#### Parameters

| Name | Type | Description |
|---|---|---|
| `useStandardSql` | `Boolean` | If `true`, the query is interpreted as standard SQL. If `false`, the query is interpreted as legacy SQL. |

#### Return


`https://developers.google.com/apps-script/reference/data-studio/big-query-config#` --- This object, for chaining.